package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumBillDailyType {

    WATER(1,"水费"),
    POWER(2,"电费"),
    AIR_CONDITIONING(3, "空调费"),
    ;

    public static EnumBillDailyType getEnum(Integer code) {
        for (EnumBillDailyType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumBillDailyType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
